#!/usr/bin/env python3
## \file configuration.py
# Android configuration bits
from arsc.type.enum import Enum

## \enum AConfiguration
class AConfiguration(Enum):
    ACONFIGURATION_ORIENTATION_ANY = 0x0000
    ACONFIGURATION_ORIENTATION_PORT = 0x0001
    ACONFIGURATION_ORIENTATION_LAND = 0x0002
    ACONFIGURATION_ORIENTATION_SQUARE = 0x0003

    ACONFIGURATION_TOUCHSCREEN_ANY = 0x0000
    ACONFIGURATION_TOUCHSCREEN_NOTOUCH = 0x0001
    ACONFIGURATION_TOUCHSCREEN_STYLUS = 0x0002
    ACONFIGURATION_TOUCHSCREEN_FINGER = 0x0003

    ACONFIGURATION_DENSITY_DEFAULT = 0
    ACONFIGURATION_DENSITY_LOW = 120
    ACONFIGURATION_DENSITY_MEDIUM = 160
    ACONFIGURATION_DENSITY_TV = 213

    ACONFIGURATION_DENSITY_HIGH = 240
    ACONFIGURATION_DENSITY_XHIGH = 320
    ACONFIGURATION_DENSITY_XXHIGH = 480
    ACONFIGURATION_DENSITY_XXXHIGH = 640

    ACONFIGURATION_DENSITY_ANY = 0xfffe
    ACONFIGURATION_DENSITY_NONE = 0xffff
    ACONFIGURATION_KEYBOARD_ANY = 0x0000
    ACONFIGURATION_KEYBOARD_NOKEYS = 0x0001

    ACONFIGURATION_KEYBOARD_QWERTY = 0x0002
    ACONFIGURATION_KEYBOARD_12KEY = 0x0003
    ACONFIGURATION_NAVIGATION_ANY = 0x0000
    ACONFIGURATION_NAVIGATION_NONAV = 0x0001

    ACONFIGURATION_NAVIGATION_DPAD = 0x0002
    ACONFIGURATION_NAVIGATION_TRACKBALL = 0x0003
    ACONFIGURATION_NAVIGATION_WHEEL = 0x0004
    ACONFIGURATION_KEYSHIDDEN_ANY = 0x0000

    ACONFIGURATION_KEYSHIDDEN_NO = 0x0001
    ACONFIGURATION_KEYSHIDDEN_YES = 0x0002
    ACONFIGURATION_KEYSHIDDEN_SOFT = 0x0003
    ACONFIGURATION_NAVHIDDEN_ANY = 0x0000

    ACONFIGURATION_NAVHIDDEN_NO = 0x0001
    ACONFIGURATION_NAVHIDDEN_YES = 0x0002
    ACONFIGURATION_SCREENSIZE_ANY = 0x00
    ACONFIGURATION_SCREENSIZE_SMALL = 0x01

    ACONFIGURATION_SCREENSIZE_NORMAL = 0x02
    ACONFIGURATION_SCREENSIZE_LARGE = 0x03
    ACONFIGURATION_SCREENSIZE_XLARGE = 0x04
    ACONFIGURATION_SCREENLONG_ANY = 0x00

    ACONFIGURATION_SCREENLONG_NO = 0x1
    ACONFIGURATION_SCREENLONG_YES = 0x2
    ACONFIGURATION_SCREENROUND_ANY = 0x00
    ACONFIGURATION_SCREENROUND_NO = 0x1

    ACONFIGURATION_SCREENROUND_YES = 0x2
    ACONFIGURATION_WIDE_COLOR_GAMUT_ANY = 0x00
    ACONFIGURATION_WIDE_COLOR_GAMUT_NO = 0x1
    ACONFIGURATION_WIDE_COLOR_GAMUT_YES = 0x2

    ACONFIGURATION_HDR_ANY = 0x00
    ACONFIGURATION_HDR_NO = 0x1
    ACONFIGURATION_HDR_YES = 0x2
    ACONFIGURATION_UI_MODE_TYPE_ANY = 0x00

    ACONFIGURATION_UI_MODE_TYPE_NORMAL = 0x01
    ACONFIGURATION_UI_MODE_TYPE_DESK = 0x02
    ACONFIGURATION_UI_MODE_TYPE_CAR = 0x03
    ACONFIGURATION_UI_MODE_TYPE_TELEVISION = 0x04

    ACONFIGURATION_UI_MODE_TYPE_APPLIANCE = 0x05
    ACONFIGURATION_UI_MODE_TYPE_WATCH = 0x06
    ACONFIGURATION_UI_MODE_TYPE_VR_HEADSET = 0x07
    ACONFIGURATION_UI_MODE_NIGHT_ANY = 0x00

    ACONFIGURATION_UI_MODE_NIGHT_NO = 0x1
    ACONFIGURATION_UI_MODE_NIGHT_YES = 0x2
    ACONFIGURATION_SCREEN_WIDTH_DP_ANY = 0x0000
    ACONFIGURATION_SCREEN_HEIGHT_DP_ANY = 0x0000

    ACONFIGURATION_SMALLEST_SCREEN_WIDTH_DP_ANY = 0x0000
    ACONFIGURATION_LAYOUTDIR_ANY = 0x00
    ACONFIGURATION_LAYOUTDIR_LTR = 0x01
    ACONFIGURATION_LAYOUTDIR_RTL = 0x02

    # resource config value set switches
    ACONFIGURATION_MCC = 0x0001
    ACONFIGURATION_MNC = 0x0002
    ACONFIGURATION_LOCALE = 0x0004
    ACONFIGURATION_TOUCHSCREEN = 0x0008

    ACONFIGURATION_KEYBOARD = 0x0010
    ACONFIGURATION_KEYBOARD_HIDDEN = 0x0020
    ACONFIGURATION_NAVIGATION = 0x0040
    ACONFIGURATION_ORIENTATION = 0x0080

    ACONFIGURATION_DENSITY = 0x0100
    ACONFIGURATION_SCREEN_SIZE = 0x0200
    ACONFIGURATION_VERSION = 0x0400
    ACONFIGURATION_SCREEN_LAYOUT = 0x0800

    ACONFIGURATION_UI_MODE = 0x1000
    ACONFIGURATION_SMALLEST_SCREEN_SIZE = 0x2000
    ACONFIGURATION_LAYOUTDIR = 0x4000
    ACONFIGURATION_SCREEN_ROUND = 0x8000

    ACONFIGURATION_COLOR_MODE = 0x10000
    ACONFIGURATION_MNC_ZERO = 0xffff
